.intro {
    padding: 40px 0;
}

.intro_main {
    background: linear-gradient(180deg, #192133 0%, #0B101A 100%);
}

.intro_services {
    background-color: var(--color-primary);
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.intro_main .header {
    padding-bottom: 390px;
}

.intro_services .header {
    padding-bottom: 180px;
}

.intro_services .intro__heading {
    align-items: flex-end;
    gap: 50px;
}

.intro_services .intro__subheading {
    margin-bottom: 25px;
}


.intro_news,
.intro_publications {
    background-color: #131A29;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.intro_news .header,
.intro_publications .header {
    padding-bottom: 180px;
}

.intro_news .intro__title,
.intro_publications .intro__title {
    font-size: 120px;
}

.intro .container {
    position: relative;
}

.header__row {
    display: flex;
}

.header__nav {
    margin-left: 300px;
}

.header__contacts {
    margin-left: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 17px;
}


.header__dropdown {
    display: none;
}

.intro__heading {
    display: flex;
    position: relative;
    z-index: 100;
}

.intro_main .intro__heading {
    flex-direction: column;
    gap: 15px;
}

.intro__title {
    font-size: 136px;
    color: var(--color-white);
}


.intro__subheading {
    color: var(--color-white);
    font-size: 20px;
}


.intro__figure {
    position: absolute;
    bottom: -40px;
    right: 110px;
    width: 730px;
    height: 730px;
}


.about__text {
    font-size: 32px;
    margin-bottom: 48px;
}

.about__items {
    display: flex;
    gap: 90px;
}

.about__utps {
    display: flex;
    gap: 50px;
}

.about__utp {
    max-width: 175px;
}

.about__utp-title {
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 17px;
}

.about__utp-subtitle {
    color: rgba(255, 255, 255, .6);
}

.about__note {
    color: var(--color-primary);
    padding: 50px 17px 15px 17px;
    border: 1px solid var(--color-primary);
    border-radius: 10px;
    max-width: 325px;
}


.services-cards__list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-bottom: 20px;
}

.services-cards__item {
    border-radius: 10px;
    padding: 60px 20px 20px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #171C25;
}

.services-cards__item:hover {
    background-color: var(--color-primary);
    color: var(--color-white);
}

.services-cards__item-title {
    font-weight: 600;
    font-size: 20px;
}

.services-cards__more-link {
    display: block;
    width: 100%;
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    padding: 16px 20px;
    font-weight: 600;
    font-size: 20px;
    border-radius: 10px;
    text-align: center;
    line-height: 1;
}

.services-cards__more-link:hover {
    color: var(--color-white);
    background-color: var(--color-primary);
}

.team__cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
}

.team__card-image {
    position: relative;
    margin-bottom: 16px;
    padding-bottom: 129.5%;
    background-color: #171C25;
    border-radius: 10px;
    overflow: hidden;
}

.team__card-image img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team__card-content {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--color-primary);
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.team__card-text {
    max-width: 200px;
    font-weight: 600;
}

.team__card-mail {
    font-size: 20px;
    font-weight: 700;
}

.team__card-mail:hover {
    color: var(--color-black);
}

.team__card-name {
    font-family: 'LTSuperior', sans-serif;
    font-size: 32px;
    margin-bottom: 16px;
}

.team__card-labels {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.team__card-label {
    padding: 6px 11px;
    border-radius: 100px;
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
}

.news-preview__header {
    justify-content: space-between;
}



.news-preview__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.news-preview__item-image {
    padding-bottom: 50%;
    background-color: #0B101A;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 15px;
}

.news-preview__item-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
}

.news-preview__item-date {
    font-weight: 600;
    font-size: 12px;
    color: #B3B3B3;
    margin-bottom: 20px;
}


.news-preview__item-title {
    font-family: 'LTSuperior', sans-serif;
    font-weight: 600;
    font-size: 24px;
}

.companies__carousel {
    overflow: hidden;
}

.companies__carousel-line {
    display: flex;
    animation: scrollLeft 25s linear infinite;
    width: fit-content;
}

.companies__carousel-item {
    width: 216px;
    height: 216px;
    border-radius: 100%;
    border: 1px solid #B3B3B3;
    display: flex;
    align-items: center;
    justify-content: center;
}


.companies__carousel-item-logo {
    width: 105px;
    height: 105px;
    display: flex;
    justify-content: center;
    align-items: center;
}


.companies__carousel-item-logo {
    width: 100%;
    height: 100%;
    object-fit: contain;
}


@keyframes scrollLeft {
    0% {
        transform: translateX(0);
    }

    100% {
        /* Сдвигаем ровно на половину ширины (так как контент продублирован) */
        transform: translateX(-50%);
    }
}

.publications__row {
    display: grid;
    grid-template-columns: 1fr 1fr;
}


.publications__figure img {
    width: 100%;
    transform: rotate(45deg);
}


.publications__list {
    display: flex;
    flex-direction: column;
    padding-right: 35px;
    gap: 20px;
    overflow-y: auto;
    max-height: 760px;
    height: 100%;
    padding-left: 80px;
}


.publications__list::-webkit-scrollbar {
    width: 10px;
}

.publications__list::-webkit-scrollbar-track {
    background-color: #232730;
    border-radius: 10px;
}

.publications__list::-webkit-scrollbar-thumb {
    background-color: var(--color-primary);
    border-radius: 10px;
}

.publications__item {
    background-color: var(--color-white);
    border-radius: 10px;
    padding: 40px;
}

.publications__item-title {
    font-family: 'LTSuperior', sans-serif;
    margin-bottom: 15px;
    font-weight: 600;
    font-size: 20px;
    color: var(--color-black);
}

.publications__item:hover .publications__item-title {
    color: var(--color-primary);
}

.publications__item-desc {
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #303030;
    margin-bottom: 20px;
}



.publications__more-link {
    border-radius: 10px;
}


.publications__item-author,
.article__author {
    display: flex;
    align-items: center;
    gap: 15px;
}


.publications__item-author-photo img,
.article__author-photo img {
    width: 50px;
    height: 50px;
    border-radius: 100%;
}

.publications__item-author-name,
.article__author-name {
    color: var(--color-primary);
}


.mentions__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.mentions__item {
    position: relative;
    width: 100%;
}

.mentions__item-logo {
    width: 100%;
    height: 325px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    border: 1px solid #B3B3B3;
    transition: all .25s ease-in-out;
    background-color: #FFF;
    z-index: 10;
    position: relative;
}


.mentions__item:hover .mentions__item-logo {
    border-color: var(--color-primary);
    transform: translateY(-65px);
}


.mentions__item-logo img {
    max-width: 75%;
    max-height: 120px;
    object-fit: contain;
    padding: 10px;
}

.mentions__item-link {
    position: absolute;
    bottom: 5px;
    width: 100%;
    display: flex;
    justify-content: center;
}


.footer {
    position: relative;
    padding: 90px 0 30px 0;
    background-color: var(--color-primary);
    overflow: hidden;
}

.footer.footer_dark {
    background-color: #131A29;
}


.footer__figure {
    position: absolute;
    top: -180px;
    right: -170px;
    width: 960px;
    height: 960px;
}

.form {
    padding: 40px;
    background-color: var(--color-white);
    max-width: 555px;
    border-radius: 10px;
}


.form__header {
    margin-bottom: 60px;
}

.form__title {
    font-size: 48px;
    margin-bottom: 30px;
}

.form__subtitle {
    color: #4B4B4B;
}

.form__content {
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.form__label span {
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
}


.form__input {
    height: 54px;
    border: 1px solid #B3B3B3;
    border-radius: 10px;
    padding-left: 22px;
    font-weight: 600;
    width: 100%;
}


.form__input::placeholder {
    color: #B3B3B3;
}


.form__button {
    width: 100%;
    height: 54px;
    padding: 5px;
    text-align: center;
    font-weight: 600;
    color: var(--color-white);
    border-radius: 10px;
    background-color: var(--color-primary);
}

.form__accept {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.form__accept-label {
    display: flex;
    align-items: center;
    gap: 12px;
}

.form__accept-label input {
    display: none;
}

.form__accept-text {
    color: #4B4B4B;
    font-size: 12px;
    margin-top: 2px;
}

.form__accept-text a {
    text-decoration: underline;
}

.form__checkbox {
    width: 18px;
    height: 18px;
    border-radius: 100%;
    border: 1px solid #E3E3E3;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}


.form__checkbox::before {
    display: none;
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background-color: var(--color-primary);
}

.form__accept-label input:checked+.form__checkbox::before {
    display: block;
}

.footer__logo {
    margin-top: 125px;
    margin-bottom: 40px;
}


.footer__logo img {
    width: 100%;
}


.footer__bottom {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    align-items: flex-end;
}


.footer__copyright {
    color: var(--color-white);
}

.footer__info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 70px;
}

.footer__contacts {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 15px;

}

.footer__docs {
    display: flex;
    gap: 80px;
}

.footer__docs-link {
    color: var(--color-white);
    font-weight: 600;
}


.footer__nav .nav__link:hover,
.footer__contacts .mail:hover,
.footer__docs-link:hover {
    color: var(--color-black)
}


.footer.footer_dark .footer__nav .nav__link:hover,
.footer.footer_dark .footer__contacts .mail:hover,
.footer.footer_dark .footer__docs-link:hover {
    color: var(--color-primary)
}

.footer.footer_dark .button.button_white:hover {
    background-color: var(--color-primary);
}



.modal {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.75);
    transition: all .325s ease-in-out;
}

.modal.active {
    visibility: visible;
    opacity: 1;
}

.modal__container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}


.modal__content {
    margin: 20px;
    position: relative;
}

.modal__content .form {
    padding: 30px;
}

.modal__content .form__title,
.modal__content .form__header {
    margin-bottom: 16px;
}

.js-close-modal {
    position: absolute;
    top: 10px;
    right: 10px;
    opacity: 0.75;
    z-index: 10000;
}

.js-close-modal:hover {
    opacity: 1;
}

.services,
.posts {
    padding-bottom: 60px;
}

.service:first-child .service__wrapper {
    border-top: 1px solid #E3E3E3;
}

.service:not(:last-child) .service__wrapper {
    padding-bottom: 120px;
    border-bottom: 1px solid #E3E3E3;
}

.service__wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr 3fr;
    gap: 20px;
    padding-top: 20px;
}


.service__index {
    font-weight: 700;
    font-size: 20px;
    color: var(--color-primary);
}

.service__title {
    font-size: 32px;
    margin-bottom: 22px;
    font-family: 'LTSuperior', sans-serif;
}

.service__desc {
    color: #4B4B4B;
    margin-bottom: 30px;
}

.service__button {
    display: flex;
    gap: 20px;
}

.service__button span {
    font-weight: 500;
    font-size: 20px;
    color: var(--color-primary);
}

.service__list {
    display: flex;
    gap: 30px;
    flex-direction: column;
}

.service__item {
    display: flex;
    gap: 14px;
    align-items: center;
}

.service__item svg {
    flex-shrink: 0;
}

.service__item span {
    font-size: 20px;
}

.service__label {
    color: #b3b3b3;
    margin-top: 5px;
}

.post__wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr 4fr;
    gap: 20px;
    padding-top: 20px;
}

.post:first-child .post__wrapper {
    border-top: 1px solid #E3E3E3;
}

.post:not(:last-child) .post__wrapper {
    padding-bottom: 80px;
    border-bottom: 1px solid #E3E3E3;
}

.post__date {
    font-weight: 700;
    font-size: 20px;
    color: var(--color-primary);
}


.post__title {
    font-size: 20px;
    font-weight: 600;
    font-family: 'LTSuperior', sans-serif;
}

.post__desc {
    font-size: 20px;
}

.post__desc p:not(:last-child) {
    margin-bottom: 20px;
}

.post__link {
    margin-top: 5px;
}

.post__link {
    display: flex;
}


.post__link a {
    color: var(--color-primary);
    text-decoration: underline;
}

.post__link a:hover {
    text-decoration: none;
}


.form__error-message {
    font-size: 13px;
    margin-top: 7.5px;
    color: red;
}


.form__field.error input {
    border-color: red;
}

.form__field.accept input {
    border-color: #2dc800;
}